package com.clx.performance.param.pc.loan.carrier;

import com.msl.common.base.PageParam;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

/**
 * @ClassName PageCarrierOwnerLoanRecordParam
 * @Description
 * @Author kavin
 * @Date 2024/1/20 17:31
 * @Version 1.0
 */
@Getter
@Setter
public class PageCarrierOwnerLoanRecordParam  extends PageParam {

    @ApiModelProperty("借款单号")
    private Long loanNo;

    @ApiModelProperty("货主编码")
    private String ownerUserNo;

    @ApiModelProperty("货主姓名")
    private String ownerUserName;

    @ApiModelProperty("联系电话")
    private String mobile;

    @ApiModelProperty("借款类型 1:虚拟货币  2:资金")
    private Integer loanType;

    @ApiModelProperty("待审批 10 付款中 20 付款成功 30 付款失败 40 审批通过 50 审批拒绝 60")
    private Integer status;
}
